/{organizationId}/{mandateId}/finance/accounting/assets/{assetId}Get fixed asset
Returns a specific fixed asset by its id with all of its details
Required permissions:
mandate.read
fixedAsset.read
Path Parameters
mandateIdstringrequired organizationIdstringrequired assetIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/assets/{assetId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
namestringrequired minLength: 1
maxLength: 100
Additional properties are not allowed.
inventoryNumberstringrequired minLength: 1
maxLength: 32
purchaseDatestringrequired purchaseNetAmountintegerrequired maximum: 9999999999
exclusiveMinimum: 0
residualNetAmountintegerrequired minimum: 0
maximum: 9999999999
carryingNetAmountintegerrequired minimum: 0
maximum: 9999999999
debitAccountintegerrequired minimum: 1
maximum: 999999999
creditAccountintegerrequired minimum: 1
maximum: 999999999
costCenterRegioninteger | nullrequired minimum: 1
maximum: 9
costCenter1number | nullrequired minimum: 1
maximum: 99999999
costCenter2number | nullrequired minimum: 1
maximum: 99999999
periodintegerrequired minimum: 0
maximum: 9007199254740991
periodUnitstringrequired Options:
yearsmonthsperiodEndAtstringrequired lastDepreciatedAtstring | nullrequired Response
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"typeId": "#",
"name": "string",
"receipt": {
"receipt": "000000000000000000000001",
"receiptNumber": "string"
},
"inventoryNumber": "string",
"purchaseDate": "string",
"purchaseNetAmount": 1,
"residualNetAmount": 0,
"carryingNetAmount": 0,
"debitAccount": 1,
"creditAccount": 1,
"costCenterRegion": 1,
"costCenter1": 1,
"costCenter2": 1,
"period": 0,
"periodUnit": "years",
"periodEndAt": "string",
"lastDepreciatedAt": "string"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}